ranges::adjacent_filter_view< Rng, Pred > Struct Template Reference
Views
Inheritance diagram for ranges::adjacent_filter_view< Rng, Pred >:

## Public Member Functions

constexpr | adjacent_filter_view (Rng rng, Pred pred)
Public Member Functions inherited from ranges::view_adaptor< adjacent_filter_view< Rng, Pred >, Rng, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
constexpr base_range_t & | base () noexcept
constexpr base_range_t const & | base () const noexcept
view_adaptor & | operator= (view_adaptor &&)=default
view_adaptor & | operator= (view_adaptor const &)=default
| view_adaptor (view_adaptor &&)=default
| view_adaptor (view_adaptor const &)=default
constexpr | view_adaptor (Rng &&rng)
Public Member Functions inherited from ranges::view_facade< adjacent_filter_view< Rng, Pred >, Cardinality >
constexpr auto | begin () -> detail::facade_iterator_t< D > requires same_as< D, adjacent_filter_view< Rng, Pred > >
| Let `d` be `static_cast<Derived &>(*this)`. Let `b` be `std::as_const(d).begin_cursor()` if that expression is well-formed; otherwise, let `b` be `d.begin_cursor()`. Let `B` be the type of `b`. More...
constexpr auto | begin () const -> detail::facade_iterator_t< D const > requires same_as< D, adjacent_filter_view< Rng, Pred > >
constexpr auto | end () -> detail::facade_sentinel_t< D > requires same_as< D, adjacent_filter_view< Rng, Pred > >
| Let `d` be `static_cast<Derived &>(*this)`. Let `e` be `std::as_const(d).end_cursor()` if that expression is well-formed; otherwise, let `e` be `d.end_cursor()`. Let `E` be the type of `e`. More...
constexpr auto | end () const -> detail::facade_sentinel_t< D const > requires same_as< D, adjacent_filter_view< Rng, Pred > >
Public Member Functions inherited from ranges::view_interface< adjacent_filter_view< Rng, Pred >, Cardinality >
constexpr auto | at (range_difference_t< D< True >> n) -> range_reference_t< D< True >> requires True &&random_access_range< D< True >> &&sized_range< D< True >>
| Returns a reference to the element at specified location pos, with bounds checking.
constexpr auto | at (range_difference_t< D< True >> n) const -> range_reference_t< D< True > const > requires True &&random_access_range< D< True > const > &&sized_range< D< True > const >
constexpr auto | back () -> range_reference_t< D< True >> requires True &&common_range< D< True >> &&bidirectional_range< D< True >>
| Access the last element in a range:
constexpr auto | back () const -> range_reference_t< D< True > const > requires True &&common_range< D< True > const > &&bidirectional_range< D< True > const >
constexpr auto | empty () const noexcept -> bool requires(detail::has_fixed_size_(Cardinality))
constexpr auto | empty () noexcept(noexcept(bool(ranges::size(std::declval< D< True > & >())==0))) -> bool requires True &&(Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True >>)&&sized_range< D< True >>
constexpr auto | empty () const noexcept(noexcept(bool(ranges::size(std::declval< D< True > const & >())==0))) -> bool requires True &&(Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > const >)&&sized_range< D< True > const >
constexpr auto | empty () noexcept(noexcept(bool(ranges::begin(std::declval< D< True > & >())==ranges::end(std::declval< D< True > & >())))) -> bool requires True &&(!detail::has_fixed_size_(Cardinality)) &&forward_range< D< True >>
constexpr auto | empty () const noexcept(noexcept(bool(ranges::begin(std::declval< D< True > const & >())==ranges::end(std::declval< D< True > const & >())))) -> bool requires True &&(!detail::has_fixed_size_(Cardinality)) &&forward_range< D< True > const >
requires True && | forward_range (input_range< D< True > & > &&sized_range< D< True > & >)) const expr auto operator[](detail
requires True && | forward_range (input_range< D< True > const & > &&sized_range< D< True > const & >)) const expr auto operator[](detail
requires True && | forward_range (input_range< D< True >> &&sized_range< D< True >>)) const expr auto operator[](detail
requires True && | forward_range (input_range< D< True > & > &&sized_range< D< True > & >)) const expr auto operator[](detail
requires True && | forward_range (input_range< D< True > const & > &&sized_range< D< True > const & >)) const expr auto operator[](detail
requires True && | forward_range (input_range< D< True >> &&sized_range< D< True >>)) const expr auto operator[](detail
constexpr auto | front () -> range_reference_t< D< True >> requires True &&forward_range< D< True >>
| Access the first element in a range:
constexpr auto | front () const -> range_reference_t< D< True > const > requires True &&forward_range< D< True > const >
requires True &&detail::can_empty_< D< True > > constexpr | operator bool () noexcept(noexcept(ranges::empty(std::declval< D< True > & >())))
requires True &&detail::can_empty_< D< True > const > constexpr | operator bool () const noexcept(noexcept(ranges::empty(std::declval< D< True > const & >())))
view_interface & | operator= (view_interface &&)=default
view_interface & | operator= (view_interface const &)=default
constexpr auto | operator[] (range_difference_t< D< True >> n) -> range_reference_t< D< True >> requires True &&random_access_range< D< True >>
| Simple indexing:
constexpr auto | operator[] (range_difference_t< D< True >> n) const -> range_reference_t< D< True > const > requires True &&random_access_range< D< True > const >
requires True &&input_range< D< True > &> constexpr auto | operator[] (detail::slice_bounds< range_difference_t< D< True >>> offs) &
| Python-ic slicing:
requires True &&input_range< D< True > const &> constexpr auto | operator[] (detail::slice_bounds< range_difference_t< D< True >>> offs) const &
requires True &&input_range< D< True > > constexpr auto | operator[] (detail::slice_bounds< range_difference_t< D< True >>> offs) &&
requires True &&input_range< D< True > &> &&sized_range< D< True > &> constexpr auto | operator[] (detail::slice_bounds< range_difference_t< D< True >>, detail::from_end_of_t< D< True >>> offs) &
requires True &&input_range< D< True > const &> &&sized_range< D< True > const &> constexpr auto | operator[] (detail::slice_bounds< range_difference_t< D< True >>, detail::from_end_of_t< D< True >>> offs) const &
requires True &&input_range< D< True > > &&sized_range< D< True > > constexpr auto | operator[] (detail::slice_bounds< range_difference_t< D< True >>, detail::from_end_of_t< D< True >>> offs) &&
requires True &&input_range< D< True > &> constexpr auto | operator[] (detail::slice_bounds< range_difference_t< D< True >>, end_fn > offs) &
requires True &&input_range< D< True > const &> constexpr auto | operator[] (detail::slice_bounds< range_difference_t< D< True >>, end_fn > offs) const &
requires True &&input_range< D< True > > constexpr auto | operator[] (detail::slice_bounds< range_difference_t< D< True >>, end_fn > offs) &&
constexpr auto | size () -> detail::iter_size_t< iterator_t< D< True >>> requires True &&(Cardinality< 0) &&sized_sentinel_for< sentinel_t< D< True >>, iterator_t< D< True >>> &&forward_range< D< True >>
| If `sized_sentinel_for<sentinel_t<Derived>, iterator_t<Derived>>` is satisfied, and if `Derived` is a `forward_range`, then return `end - begin` cast to an unsigned integer.
constexpr auto | size () const -> detail::iter_size_t< iterator_t< D< True >>> requires True &&(Cardinality< 0) &&sized_sentinel_for< sentinel_t< D< True > const >, iterator_t< D< True > const >> &&forward_range< D< True > const >
| view_interface (view_interface &&)=default
| view_interface (view_interface const &)=default

## Additional Inherited Members

Static Public Member Functions inherited from ranges::view_interface< adjacent_filter_view< Rng, Pred >, Cardinality >
static constexpr auto | size () noexcept -> std::size_t requires True &&(Cardinality >=0)
| If the size of the range is known at compile-time and finite, return it.
Protected Types inherited from ranges::view_interface< adjacent_filter_view< Rng, Pred >, Cardinality >
using | D = meta::invoke< detail::dependent_< B >, adjacent_filter_view< Rng, Pred > >
Protected Member Functions inherited from ranges::view_facade< adjacent_filter_view< Rng, Pred >, Cardinality >
constexpr view_as_cursor | begin_cursor () const
constexpr default_sentinel_t | end_cursor () const
Protected Member Functions inherited from ranges::view_interface< adjacent_filter_view< Rng, Pred >, Cardinality >
constexpr adjacent_filter_view< Rng, Pred > & | derived () noexcept
constexpr adjacent_filter_view< Rng, Pred > const & | derived () const noexcept
Protected Attributes inherited from ranges::view_facade< adjacent_filter_view< Rng, Pred >, Cardinality >
friend | range_access